unit _EmptyFile;

interface

uses
  _FileTypes;

type
  TFile_Empty = class(TFile)
    protected
      procedure InitDatLinks; override;
      procedure InitDataFields; override;
      procedure InitRawList; override;
  end;

implementation

uses
  ConnectionManager, Math, Classes, TypeDefs, _DataTypes;

procedure TFile_Empty.InitDataFields;
begin
  FDataFields := TBlock.Create(Self, nil, 0, 'Base', '', nil);
end;


procedure TFile_Empty.InitDatLinks;
begin
  SetLength(FDatLinks, 0);
end;


procedure TFile_Empty.InitRawList;
begin
  SetLength(FRawParts, 0);
end;

end.

